<?xml version="1.0"?>
<rdf:RDF xmlns="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#"
     xml:base="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl"
     xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
     xmlns:owl="http://www.w3.org/2002/07/owl#"
     xmlns:xml="http://www.w3.org/XML/1998/namespace"
     xmlns:xsd="http://www.w3.org/2001/XMLSchema#"
     xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#">
    <owl:Ontology rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl">
        <owl:imports rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl"/>
    </owl:Ontology>
    


    <!-- 
    ///////////////////////////////////////////////////////////////////////////////////////
    //
    // Object Properties
    //
    ///////////////////////////////////////////////////////////////////////////////////////
     -->

    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#belongsTo -->

    <owl:ObjectProperty rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#belongsTo">
        <rdfs:subPropertyOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#presentableObjectProperty"/>
        <rdfs:domain>
            <owl:Class>
                <owl:unionOf rdf:parseType="Collection">
                    <rdf:Description rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Data"/>
                    <rdf:Description rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#OtherData"/>
                </owl:unionOf>
            </owl:Class>
        </rdfs:domain>
        <rdfs:range rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#AnalysisSet"/>
    </owl:ObjectProperty>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#hasBusinessSector -->

    <owl:ObjectProperty rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#hasBusinessSector">
        <rdfs:subPropertyOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#presentableObjectProperty"/>
        <rdfs:domain rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Organisation"/>
        <rdfs:range rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#BusinessSector"/>
    </owl:ObjectProperty>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#hasId -->

    <owl:ObjectProperty rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#hasId">
        <rdfs:subPropertyOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#presentableObjectProperty"/>
        <rdfs:domain rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Subject"/>
        <rdfs:range rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Identifier"/>
    </owl:ObjectProperty>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#hasLogType -->

    <owl:ObjectProperty rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#hasLogType">
        <rdfs:domain rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Data"/>
    </owl:ObjectProperty>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#hasName -->

    <owl:ObjectProperty rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#hasName">
        <rdfs:subPropertyOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#presentableObjectProperty"/>
        <rdfs:domain rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Organisation"/>
        <rdfs:range rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Name"/>
    </owl:ObjectProperty>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#hasOrganisation -->

    <owl:ObjectProperty rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#hasOrganisation">
        <rdfs:subPropertyOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#presentableObjectProperty"/>
        <rdfs:domain rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Subject"/>
        <rdfs:range rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Organisation"/>
    </owl:ObjectProperty>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#hasOwner -->

    <owl:ObjectProperty rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#hasOwner">
        <rdfs:subPropertyOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#presentableObjectProperty"/>
        <rdfs:domain>
            <owl:Class>
                <owl:unionOf rdf:parseType="Collection">
                    <rdf:Description rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Data"/>
                    <rdf:Description rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#OtherData"/>
                </owl:unionOf>
            </owl:Class>
        </rdfs:domain>
        <rdfs:range>
            <owl:Class>
                <owl:unionOf rdf:parseType="Collection">
                    <rdf:Description rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Organisation"/>
                    <rdf:Description rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Subject"/>
                </owl:unionOf>
            </owl:Class>
        </rdfs:range>
    </owl:ObjectProperty>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#hasRole -->

    <owl:ObjectProperty rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#hasRole">
        <rdfs:subPropertyOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#presentableObjectProperty"/>
        <rdfs:domain rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Subject"/>
        <rdfs:range rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#AnyRole"/>
    </owl:ObjectProperty>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#hasType -->

    <owl:ObjectProperty rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#hasType">
        <rdfs:subPropertyOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#presentableObjectProperty"/>
        <rdfs:domain>
            <owl:Class>
                <owl:unionOf rdf:parseType="Collection">
                    <rdf:Description rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Data"/>
                    <rdf:Description rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#OtherData"/>
                </owl:unionOf>
            </owl:Class>
        </rdfs:domain>
        <rdfs:range rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#DataType"/>
    </owl:ObjectProperty>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#isMemberOf -->

    <owl:ObjectProperty rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#isMemberOf">
        <rdfs:subPropertyOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#presentableObjectProperty"/>
        <rdfs:domain rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Subject"/>
        <rdfs:range rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Group"/>
    </owl:ObjectProperty>
    


    <!-- 
    ///////////////////////////////////////////////////////////////////////////////////////
    //
    // Classes
    //
    ///////////////////////////////////////////////////////////////////////////////////////
     -->

    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Admin -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Admin">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#AnyRole"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#AnalysisSet -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#AnalysisSet">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#Term"/>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Analyst -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Analyst">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#AnyRole"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#AnonymiseByExponentialMechanism -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#AnonymiseByExponentialMechanism">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:seeAlso>PRIVACY_HIGH,PRIVACY_MEDIUM,PRIVACY_LOW</rdfs:seeAlso>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#AnonymiseByFeatureExtraction -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#AnonymiseByFeatureExtraction">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#AnonymiseByGeneralization -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#AnonymiseByGeneralization">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>EmailRecipientAddress,EmailSenderAddress</rdfs:isDefinedBy>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#AnonymiseBySuppression -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#AnonymiseBySuppression">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>dst,dhost,dmac,dntdom,src,shost,smac,sntdom,msg,request</rdfs:isDefinedBy>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#AnonymiseCountsForMeanByPerturbation -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#AnonymiseCountsForMeanByPerturbation">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>in</rdfs:isDefinedBy>
        <rdfs:seeAlso>LAPLACE_HIGH,LAPLACE_MEDIUM,LAPLACE_LOW</rdfs:seeAlso>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#AnonymiseEmailBySuppression -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#AnonymiseEmailBySuppression">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>EmailBody</rdfs:isDefinedBy>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#AnonymiseIPsByRandomization -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#AnonymiseIPsByRandomization">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>src,dst</rdfs:isDefinedBy>
        <rdfs:seeAlso>UPPER_NETMASK_FULL_PRIVACY,UPPER_NETMASK_HIGH_PRIVACY,UPPER_NETMASK_MEDIUM_PRIVACY,UPPER_NETMASK_LOW_PRIVACY,LOWER_NETMASK_FULL_PRIVACY,LOWER_NETMASK_HIGH_PRIVACY,LOWER_NETMASK_MEDIUM_PRIVACY,LOWER_NETMASK_LOW_PRIVACY</rdfs:seeAlso>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#AnonymiseLocationsWithinRadius -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#AnonymiseLocationsWithinRadius">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>src,dst</rdfs:isDefinedBy>
        <rdfs:seeAlso>PRIVACY_HIGH,PRIVACY_MEDIUM,PRIVACY_LOW</rdfs:seeAlso>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#AnonymizeDelimitedStringsBySuppression -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#AnonymizeDelimitedStringsBySuppression">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>src,dst</rdfs:isDefinedBy>
        <rdfs:seeAlso>UPPER_SUBSTRING_HIGH_PRIVACY,UPPER_SUBSTRING_MEDIUM_PRIVACY,UPPER_SUBSTRING_LOW_PRIVACY,LOWER_SUBSTRING_HIGH_PRIVACY,LOWER_SUBSTRING_MEDIUM_PRIVACY,LOWER_SUBSTRING_LOW_PRIVACY</rdfs:seeAlso>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#AntiMalware -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#AntiMalware">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#DataType"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Antivirus -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Antivirus">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#DataType"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#AnyRole -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#AnyRole">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#Term"/>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#BusinessSector -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#BusinessSector">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#Term"/>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Create -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Create">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#DNS_Bind -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#DNS_Bind">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#DataType"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#DPI -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#DPI">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#DataType"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Data -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Data">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#Term"/>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#DataAnalyzer -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#DataAnalyzer">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#AnyRole"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#DataCollector -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#DataCollector">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#AnyRole"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#DataDispatcher -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#DataDispatcher">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#AnyRole"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#DataType -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#DataType">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#Term"/>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Delete -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Delete">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Email -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Email">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#DataType"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#EncryptIPWithTransciphering -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#EncryptIPWithTransciphering">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>src,dst</rdfs:isDefinedBy>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#EncryptKreyvium-tbd -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#EncryptKreyvium-tbd">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>Param1,Param2,Param3</rdfs:isDefinedBy>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Filter -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Filter">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>Column1,Column2,Column3</rdfs:isDefinedBy>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Financial -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Financial">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#BusinessSector"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Firewall -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Firewall">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#DataType"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Group -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Group">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#Term"/>
        <rdfs:isDefinedBy>User</rdfs:isDefinedBy>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Honeypot -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Honeypot">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#DataType"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#IDS -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#IDS">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#DataType"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Identifier -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Identifier">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#Term"/>
        <rdfs:isDefinedBy>User</rdfs:isDefinedBy>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#InvokeBruteForceAttacksDetection -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#InvokeBruteForceAttacksDetection">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom>
                    <owl:Class>
                        <owl:unionOf rdf:parseType="Collection">
                            <rdf:Description rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#AnalysisSet"/>
                            <rdf:Description rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Data"/>
                        </owl:unionOf>
                    </owl:Class>
                </owl:allValuesFrom>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#InvokeConnToMaliciousHosts -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#InvokeConnToMaliciousHosts">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom>
                    <owl:Class>
                        <owl:unionOf rdf:parseType="Collection">
                            <rdf:Description rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#AnalysisSet"/>
                            <rdf:Description rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Data"/>
                        </owl:unionOf>
                    </owl:Class>
                </owl:allValuesFrom>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#InvokeDDosAttacksDetection -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#InvokeDDosAttacksDetection">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom>
                    <owl:Class>
                        <owl:unionOf rdf:parseType="Collection">
                            <rdf:Description rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#AnalysisSet"/>
                            <rdf:Description rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Data"/>
                        </owl:unionOf>
                    </owl:Class>
                </owl:allValuesFrom>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#InvokeDetectDGA -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#InvokeDetectDGA">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom>
                    <owl:Class>
                        <owl:unionOf rdf:parseType="Collection">
                            <rdf:Description rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#AnalysisSet"/>
                            <rdf:Description rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Data"/>
                        </owl:unionOf>
                    </owl:Class>
                </owl:allValuesFrom>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#InvokeFHEonIP -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#InvokeFHEonIP">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom>
                    <owl:Class>
                        <owl:unionOf rdf:parseType="Collection">
                            <rdf:Description rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#AnalysisSet"/>
                            <rdf:Description rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Data"/>
                        </owl:unionOf>
                    </owl:Class>
                </owl:allValuesFrom>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#InvokeFindMalware -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#InvokeFindMalware">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom>
                    <owl:Class>
                        <owl:unionOf rdf:parseType="Collection">
                            <rdf:Description rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#AnalysisSet"/>
                            <rdf:Description rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Data"/>
                        </owl:unionOf>
                    </owl:Class>
                </owl:allValuesFrom>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#InvokeFindVulnerability -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#InvokeFindVulnerability">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom>
                    <owl:Class>
                        <owl:unionOf rdf:parseType="Collection">
                            <rdf:Description rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#AnalysisSet"/>
                            <rdf:Description rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Data"/>
                        </owl:unionOf>
                    </owl:Class>
                </owl:allValuesFrom>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#InvokeLegacyAnalytics -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#InvokeLegacyAnalytics">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom>
                    <owl:Class>
                        <owl:unionOf rdf:parseType="Collection">
                            <rdf:Description rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#AnalysisSet"/>
                            <rdf:Description rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Data"/>
                        </owl:unionOf>
                    </owl:Class>
                </owl:allValuesFrom>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#InvokeMaliciousHostsAnalysis -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#InvokeMaliciousHostsAnalysis">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom>
                    <owl:Class>
                        <owl:unionOf rdf:parseType="Collection">
                            <rdf:Description rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#AnalysisSet"/>
                            <rdf:Description rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Data"/>
                        </owl:unionOf>
                    </owl:Class>
                </owl:allValuesFrom>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#InvokeMalwarePropagationModelling -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#InvokeMalwarePropagationModelling">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom>
                    <owl:Class>
                        <owl:unionOf rdf:parseType="Collection">
                            <rdf:Description rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#AnalysisSet"/>
                            <rdf:Description rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Data"/>
                        </owl:unionOf>
                    </owl:Class>
                </owl:allValuesFrom>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#InvokeMatchDGA -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#InvokeMatchDGA">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom>
                    <owl:Class>
                        <owl:unionOf rdf:parseType="Collection">
                            <rdf:Description rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#AnalysisSet"/>
                            <rdf:Description rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Data"/>
                        </owl:unionOf>
                    </owl:Class>
                </owl:allValuesFrom>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#InvokeOutbreakMalwareAnalysis -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#InvokeOutbreakMalwareAnalysis">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom>
                    <owl:Class>
                        <owl:unionOf rdf:parseType="Collection">
                            <rdf:Description rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#AnalysisSet"/>
                            <rdf:Description rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Data"/>
                        </owl:unionOf>
                    </owl:Class>
                </owl:allValuesFrom>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#InvokeSpamEmailClassify -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#InvokeSpamEmailClassify">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom>
                    <owl:Class>
                        <owl:unionOf rdf:parseType="Collection">
                            <rdf:Description rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#AnalysisSet"/>
                            <rdf:Description rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Data"/>
                        </owl:unionOf>
                    </owl:Class>
                </owl:allValuesFrom>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#InvokeSpamEmailClusterer -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#InvokeSpamEmailClusterer">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom>
                    <owl:Class>
                        <owl:unionOf rdf:parseType="Collection">
                            <rdf:Description rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#AnalysisSet"/>
                            <rdf:Description rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Data"/>
                        </owl:unionOf>
                    </owl:Class>
                </owl:allValuesFrom>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#InvokeSpamEmailDetect -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#InvokeSpamEmailDetect">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom>
                    <owl:Class>
                        <owl:unionOf rdf:parseType="Collection">
                            <rdf:Description rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#AnalysisSet"/>
                            <rdf:Description rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Data"/>
                        </owl:unionOf>
                    </owl:Class>
                </owl:allValuesFrom>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#InvokeSuspiciousDnsRequestsAnalysis -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#InvokeSuspiciousDnsRequestsAnalysis">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom>
                    <owl:Class>
                        <owl:unionOf rdf:parseType="Collection">
                            <rdf:Description rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#AnalysisSet"/>
                            <rdf:Description rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Data"/>
                        </owl:unionOf>
                    </owl:Class>
                </owl:allValuesFrom>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Name -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Name">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#Term"/>
        <rdfs:isDefinedBy>User</rdfs:isDefinedBy>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Network_NetflowV9 -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Network_NetflowV9">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#DataType"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Organisation -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Organisation">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#Term"/>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#OtherData -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#OtherData">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#Term"/>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Parties -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Parties">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#Term"/>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#PseudonymiseCTIfieldFirewall -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#PseudonymiseCTIfieldFirewall">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>rt,start,dvchost,reason,TrendMicroDsTags,act,cs1,deviceDirection,deviceInboundInterface,TrendMicroDsFrameType,proto,cs2,src,smac,spt,dst,dmac,dpt,out,cnt,end,cs3,cs4,msg,cs5,cs6,TrendMicroDsPacketData,cat</rdfs:isDefinedBy>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#PseudonymiseCTIfieldMalware -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#PseudonymiseCTIfieldMalware">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>rt,start,end,dvchost,filePath,cs1,cs2,cs3,deviceDirection,cn1,cn2,cn3,cn4,msg</rdfs:isDefinedBy>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Read -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Read">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#SSH_Auth -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#SSH_Auth">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#DataType"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Subject -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#Subject">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#Term"/>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#System -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#System">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#Term"/>
    </owl:Class>
    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#WebReputation -->

    <owl:Class rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#WebReputation">
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#DataType"/>
        <rdfs:subClassOf rdf:resource="@host.vocabulary@/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>
    


    <!-- 
    ///////////////////////////////////////////////////////////////////////////////////////
    //
    // Individuals
    //
    ///////////////////////////////////////////////////////////////////////////////////////
     -->

    


    <!-- @host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#LogType1 -->

    <owl:NamedIndividual rdf:about="@host.vocabulary@/vocabularies/c3isp_vocabulary_3.3.owl#LogType1"/>
</rdf:RDF>



<!-- Generated by the OWL API (version 4.2.8.20170104-2310) https://github.com/owlcs/owlapi -->

